aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/qemu_build.sh
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2017-07-19 07:21:49 +0000
committerPeter Mikus <pmikus@cisco.com>2017-07-19 07:22:07 +0000
commitebf71b8ec8863ac82becfcdee97d4e7164fb2fcb (patch)
tree3dcce946398a26b3500dd5e040018e36ea889208 /resources/libraries/bash/qemu_build.sh
parentfa19644365e53cdf2a02c3c93b1b93a5d3891210 (diff)
FIX: Do not download Qemu multiple times per job
- Add caching of Qemu source code to avoid downloading multiple times. Change-Id: Ie06dd87a08c38ca27fbe9844f25f11b8df1ff2e2 Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'resources/libraries/bash/qemu_build.sh')
-rwxr-xr-xresources/libraries/bash/qemu_build.sh10
1 files changed, 6 insertions, 4 deletions
diff --git a/resources/libraries/bash/qemu_build.sh b/resources/libraries/bash/qemu_build.sh
index ad6d27b646..5fbbef809e 100755
--- a/resources/libraries/bash/qemu_build.sh
+++ b/resources/libraries/bash/qemu_build.sh
@@ -56,12 +56,14 @@ else
{ echo "Qemu already installed: ${QEMU_INSTALL_DIR}"; exit 0; }
fi
-# Download QEMU source code
-wget -P ${WORKING_DIR} -q ${QEMU_PACKAGE_URL} || \
- { echo "Failed to download ${QEMU_VERSION}"; exit 1; }
+# Download QEMU source code if no local copy exists
+if [ ! -f /opt/${QEMU_DOWNLOAD_PACKAGE} ]; then
+ wget -P /opt -q ${QEMU_PACKAGE_URL} || \
+ { echo "Failed to download ${QEMU_VERSION}"; exit 1; }
+fi
# Extract archive into temp directory
-tar --strip-components 1 -xf ${WORKING_DIR}/${QEMU_DOWNLOAD_PACKAGE} -C ${WORKING_DIR} || \
+tar --strip-components 1 -xf /opt/${QEMU_DOWNLOAD_PACKAGE} -C ${WORKING_DIR} || \
{ echo "Failed to extract ${QEMU_VERSION}.tar.xz"; exit 1; }
cd ${WORKING_DIR}